# BUYGiftCard Class Reference

Inherits from | BUYObject : NSObject
Conforms to | BUYSerializable
Declared in | BUYGiftCard.h

### `code`

The gift card code. This is only used when applying a gift card and is not visible on a BUYCheckout object synced with Shopify.

`@property (nonatomic, readonly, copy) NSString *code`

#### Declared In

`BUYGiftCard.h`

### `lastCharacters`

The last characters of the applied gift card code.

`@property (nonatomic, readonly, copy) NSString *lastCharacters`

#### Declared In

`BUYGiftCard.h`

### `balance`

The amount left on the gift card after being applied to this checkout.

`@property (nonatomic, readonly, strong) NSDecimalNumber *balance`

#### Declared In

`BUYGiftCard.h`

### `amountUsed`

The amount of the gift card used by this checkout.

`@property (nonatomic, readonly, strong) NSDecimalNumber *amountUsed`

#### Declared In

`BUYGiftCard.h`